@charset "utf-8";

html {
    max-width: 100%;
    /* nav要素が右スクロールで見えてしまう現象を解決 */
    overflow-x: hidden;
}

body {
    font-family: 'Noto Sans JP', "Helvetica Neue", "Helvetica", "Hiragino Sans", "Hiragino Kaku Gothic ProN", "Arial", "Yu Gothic", "Meiryo", sans-serif;
    font-size: 15px;
    line-height: 1.5;
    color: #333;
    background-color: #f7f4f2;
    /* background-color: black; */
    text-align: center;
    box-sizing: border-box;
    /* background-image: url(../img/background-image.jpg); */
    /* background-image: linear-gradient(135deg, #fbcf00, #fffcd1, #cb9b0c, #f3e18b);
    background-size: cover;
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-position: center; */
    /* スマホ画面でのスクロールを解決 */
}

a {
    text-decoration: none;
}

a:hover {
    transition: 0.5s;
}

img {
    width: 100%;
}

ol,
ul,
li {
    list-style: none;
    padding: 0px;
    margin: 0;
}

ol,
ul,
li,
dl,
dt,
dd,
figure,
figcaption {
    margin: 0;
}

/* h2,
h3,
h4,
img,
a,
dt,
dd,
p {
    opacity: 0;
    visibility: hidden;
    transition: all 0.5s;
    transform: translateX(-50px);
} */

/* dt,
dd {
    opacity: 0;
    visibility: hidden;
    transition: all 1s;
    transform: translateX(100px);
} */

.is-visible {
    opacity: 1;
    visibility: visible;
    transform: translateX(0);
}


/* ============================
フォントサイズ設定
============================ */

h1 {
    font-size: clamp(32px, 5vw, 40px);
}

h2 {
    font-size: clamp(22px, 3vw, 32px);
    margin: 0;
}

h3 {
    font-size: clamp(18px, 2.2vw, 24px);
}

h4 {
    font-size: clamp(16px, 1.8vw, 20px);
}

p {
    font-size: clamp(16px, 1.5vw, 18px);
}

a {
    font-size: 0.8rem;
}



/* ============================
ヘッダー
============================ */

.header {
    margin: 0px;
    padding: 1% 2%;
    background-color: #004098;
    /* position: fixed; */
    border-top: 1px solid #004098;
    top: 0;
    right: 0;
    left: 0;
    z-index: 10;
    height: 75px;
}

.header-wrapper {
    max-width: 1500px;
    display: flex;
    align-items: center;
    justify-content: center;
    height: inherit;
    margin-right: auto;
    margin-left: auto;
    padding: 0 20px;
    position: absolute;
    top: 0;
    right: 0;
    left: 0;
}

.header-h1 {
    margin: 0px;
    align-items: center;
    width: 18%;
}

.header-image {
    width: 100%;
}

@media screen and (max-width: 700px) {
    .header-h1 {
        width: 35%;
    }
}


/* ============================
ヒーロー
============================ */

.hero {
    width: 100%;
    position: relative;
}

/* .hero-picture {} */

/* .hero-image {} */

.hero-headline {
    color: #333;
}

.hero-headline {
    position: absolute;
    font-size: clamp(20px, 2.2vw, 26px);
    top: 30px;
    left: 30px;
    color: #fff;
    margin-top: 0;
    text-shadow: #000 2px 2px 2px;

    >span {
        display: inline;
        font-size: 0.5em;
    }
}

.hero-copy {
    position: absolute;
    right: 10%;
    top: 30%;
    transform: translateY(-30%);
    min-width: 35%;
    font-size: clamp(22px, 3vw, 32px);
    font-style: italic;
    font-weight: bold;
    background-color: #ffffff99;
    padding: 3rem;
    box-shadow: #333 2px 2px 3px;
}


@media screen and (max-width: 600px) {
    .hero-headline {
        top: 10px;
        left: 10px;
    }
}



/* ============================
ハンバーガーメニュー
============================ */

.hamburger {
    background-color: #f7f4f2;
    width: 100%;
    display: none;
    z-index: 999;
    position: sticky;
    top: 0;
}

.hamburger.compare {
    display: block;
}

.hamburger-button-wrapper {
    width: 100%;
    padding: 0.5rem 0;
    box-shadow: #555 0px 0px 3px;
    background-color: #666;
}

.hamburger-button {
    position: relative;
    appearance: none;
    margin: 0 auto;
    text-align: center;
    border: none;
    cursor: pointer;
    background-color: transparent;
    width: 50px;
    height: 50px;
}

.hamburger-button span,
.hamburger-button span::after,
.hamburger-button span::before {
    position: absolute;
    display: block;
    background-color: #fff;
    content: "";
    width: 100%;
    height: 2px;
    transition: 0.5s;
}

.hamburger-button span::before {
    top: -12px;
}

.hamburger-button span::after {
    bottom: -12px;
}

.hamburger-button.open span {
    background-color: transparent;
    transition: 0.5s;
}

.hamburger-button.open span::before {
    transform: rotate(45deg);
    top: 0;
    transition: 0.5s;
}

.hamburger-button.open span::after {
    transform: rotate(-45deg);
    bottom: 0;
    transition: 0.5s;
}

.nav {
    display: none;
}

.nav.open {
    display: block;
    height: 100vh;
    padding: 1rem;
}

.nav-title {
    margin: 1rem 0;
    padding-bottom: 0.5rem;
    border-bottom: #333 solid 1px;
}

.nav-title.compare {
    margin-bottom: 2rem;
}

.nav-list {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.nav-list.compare {
    margin: 2rem 0;
}

/* .nav-item {} */

.nav-link {
    display: block;
    width: 90%;
    margin: 0 auto;
    color: #fff;
    border: transparent 1px solid;
    background-color: #333;
    border-radius: 10px;
    padding: 0.5rem;
    position: relative;
    z-index: 1000;
}

.nav-link.compare {
    max-width: 500px;
}

.nav-link:hover {
    background-color: #fff;
    color: #333;
    border: #333 1px solid;
}

.nav-link.bottom {
    width: 90%;
    background-color: #fff;
    color: #333;
    box-shadow: #555 0px 0px 8px;
    border-radius: 30px;
}

@media screen and (max-width: 600px) {
    .hamburger {
        display: block;
    }

    .nav-title.compare {
        margin: 1rem 0;
    }

    .nav-list.compare {
        gap: 1rem;
    }
}


/* ============================
3カラム
============================ */
.main {
    position: relative;
    max-width: 1500px;
    display: flex;
    justify-content: center;
    align-items: flex-start;
    gap: 1.5rem;
    margin: 2rem auto 4rem;
    padding: 0 1rem;
    z-index: 998;
}

.left-side {
    margin-top: 2rem;
    width: 25%;
    position: sticky;
    top: 2rem;
    left: 0;
    /* background-color: yellow; */
}

.contents {
    width: 48%;
    max-width: 550px;
    background-color: rgb(245, 85, 85);
}

.right-side {
    margin-top: 2rem;
    width: 25%;
    position: sticky;
    top: 2rem;
    right: 0;
    /* background-color: rgb(98, 98, 229); */

}

.side-headline {
    margin-bottom: 2rem;
    border-bottom: #333 2px solid;
    line-height: 2;
}

@media screen and (max-width: 600px) {
    /* .main {
        gap: 1.5rem;
        margin-bottom: 4rem;
    } */

    .left-side {
        display: none;
    }

    .contents {
        width: 100%;
    }

    .right-side {
        display: none;
    }
}

/* ============================
左サイド
============================ */

.left-side-list {
    display: flex;
    justify-content: center;
    gap: 1rem;
    flex-wrap: wrap;
}

.left-side-item {
    width: 46%;
    border-radius: 10px;
    overflow: hidden;
}

.left-side-link {
    display: block;
}

.left-side-link:hover {
    /* box-shadow: #555 2px 2px 2px; */

    .left-side-image {
        transform: scale(1.08);
        transition: transform 0.3s ease;
    }
}

/* .left-side-image:hover {
    .left-side-image {
        transform: scale(1.08);
        transition: transform 0.3s ease;
    }
} */

.left-side-caption {
    color: #333;
    text-align: left;
    font-size: 0.8rem;
    margin: 0;
}

@media screen and (max-width: 900px) {
    .left-side-item {
        width: 90%;
    }
}

/* ============================
右サイド
============================ */

.side-link {
    display: block;
    margin: 0 auto;
    width: 95%;
    margin-top: 1.5rem;
    padding: 1rem;
    background-color: #fff;
    color: #333;
    box-shadow: #555 0px 0px 8px;
    border-radius: 30px;
    transition: box-shadow 0.3s;
}

.side-link:hover {
    box-shadow: #555 0px 0px 0px;
}

@media screen and (max-width: 750px) {
    .side-link {
        width: 95%;
    }
}

/* ============================
中央コンテンツ
============================ */

.contents {
    padding: 1.5rem;
    background-color: #fff;
    box-shadow: #555 0px 0px 8px;
}

.contents-headline {
    text-align: left;
    margin: 1rem auto 2rem;
    /* padding:  1rem 0.5rem;
    color: #fff;
    background-image: 
    linear-gradient(45deg, #cc0000 20%, #fc8080, #cc0000 80%); */
}

.contents-description {
    text-align: left;
}

.sentence-link {
    font-size: clamp(16px, 1.5vw, 18px);
    text-decoration: underline;
}

.contents-section {
    margin: 2rem auto;
}

.contents-sub-headline {
    margin: 3rem auto 2rem;
    background-color: #333;
    color: #fff;
    padding: 0.5rem;
    border-radius: 10px;
}

.contents-sub-headline-small {
    text-align: left;
    padding-bottom: 0.5rem;
    margin-bottom: 1rem;
    border-bottom: #333 solid 1.5px;
}

/* .size {} */

/* .size-image {} */

/* .size-caption {} */

.size-description {
    text-align: left;
}

/* .size-ex {} */

/* .size-ex-image {} */

/* .size-ex-caption {} */

.size-ex-description {
    text-align: left;
}

@media screen and (max-width: 600px) {
    .contents {
        padding: 1rem;
    }

    .contents-headline {
        margin: 0.5rem auto 1rem;
    }

    .contents-section {
        margin: 1rem auto;
    }

    .contents-sub-headline {
        margin: 1.5rem auto 1rem;
    }

    .contents-sub-headline-small {
        text-align: left;
        padding-bottom: 0.5rem;
        margin-bottom: 1rem;
        border-bottom: #333 solid 1.5px;
    }
}

/* ============================
フッター
============================ */

.footer {
    padding: 4rem 1rem;
    color: #fff;
    background-color: #00204f;
}

.footer-wrapper {
    max-width: 1100px;
    margin: 0 auto;
}

.footer-list {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 2rem;
    margin-bottom: 3rem;
}

.footer-list.sp {
    display: none;
}

.footer-item {
    width: 20%;
}

.footer-link {
    display: block;
    color: #fff;
    border-bottom: #fff 1px solid;
    padding: 0.5rem 0;
    transition: background-color 0.3s, color 0.3s;
}

.footer-link:hover {
    color: #00204f;
    background-color: #fff;
}

/* .small {} */



@media screen and (max-width: 600px) {
    .footer-list.sp {
        display: block;
    }

    .footer-list {
        flex-wrap: wrap;
        gap: 1rem;
        margin-bottom: 3rem;
    }

    .footer-item {
        width: 90%;
    }
}